#include "zonefile_cod8_360.h"

#include <QDataStream>
#include <QFile>
#include <QDebug>

ZoneFile_COD8_360::ZoneFile_COD8_360()
{

}

ZoneFile_COD8_360::~ZoneFile_COD8_360()
{

}

bool ZoneFile_COD8_360::Load(const QByteArray aFileData) {
    return true;
}

Utils::AssetType ZoneFile_COD8_360::AssetStrToEnum(const QString aAssetType) {
    const QString cleanedType = aAssetType.toUpper();if (cleanedType == "0x00000000") {
        return Utils::ASSET_PHYSPRESET;
    } else if (cleanedType == "0x00000001") {
        return Utils::ASSET_PHYSCOLLMAP;
    } else if (cleanedType == "0x00000002") {
        return Utils::ASSET_Animation;
    } else if (cleanedType == "0x00000003") {
        return Utils::ASSET_XMODEL_SURFS;
    } else if (cleanedType == "0x00000004") {
        return Utils::ASSET_XMODEL;
    } else if (cleanedType == "0x00000005") {
        return Utils::ASSET_MATERIAL;
    } else if (cleanedType == "0x00000006") {
        return Utils::ASSET_PIXELSHADER;
    } else if (cleanedType == "0x00000007") {
        return Utils::ASSET_TECHNIQUE_SET;
    } else if (cleanedType == "0x00000008") {
        return Utils::ASSET_IMAGE;
    } else if (cleanedType == "0x00000009") {
        return Utils::ASSET_SOUND;
    } else if (cleanedType == "0x0000000A") {
        return Utils::ASSET_SOUND_CURVE;
    } else if (cleanedType == "0x0000000B") {
        return Utils::ASSET_LOADED_SOUND;
    } else if (cleanedType == "0x0000000C") {
        return Utils::ASSET_CLIPMAP;
    } else if (cleanedType == "0x0000000D") {
        return Utils::ASSET_COMWORLD;
    } else if (cleanedType == "0x0000000E") {
        return Utils::ASSET_GLASSWORLD;
    } else if (cleanedType == "0x0000000F") {
        return Utils::ASSET_PATHDATA;
    } else if (cleanedType == "0x00000010") {
        return Utils::ASSET_VEHICLE_TRACK;
    } else if (cleanedType == "0x00000011") {
        return Utils::ASSET_MAP_ENTS;
    } else if (cleanedType == "0x00000012") {
        return Utils::ASSET_FXWORLD;
    } else if (cleanedType == "0x00000013") {
        return Utils::ASSET_GFXWORLD;
    } else if (cleanedType == "0x00000014") {
        return Utils::ASSET_LIGHT_DEF;
    } else if (cleanedType == "0x00000015") {
        return Utils::ASSET_UI_MAP;
    } else if (cleanedType == "0x00000016") {
        return Utils::ASSET_FONT;
    } else if (cleanedType == "0x00000017") {
        return Utils::ASSET_MENULIST;
    } else if (cleanedType == "0x00000018") {
        return Utils::ASSET_MENU;
    } else if (cleanedType == "0x00000019") {
        return Utils::ASSET_LOCALIZE_ENTRY;
    } else if (cleanedType == "0x0000001A") {
        return Utils::ASSET_ATTACHMENT;
    } else if (cleanedType == "0x0000001B") {
        return Utils::ASSET_WEAPON;
    } else if (cleanedType == "0x0000001C") {
        return Utils::ASSET_SNDDRIVER_GLOBALS;
    } else if (cleanedType == "0x0000001D") {
        return Utils::ASSET_FX;
    } else if (cleanedType == "0x0000001E") {
        return Utils::ASSET_IMPACT_FX;
    } else if (cleanedType == "0x0000001F") {
        return Utils::ASSET_SURFACE_FX;
    } else if (cleanedType == "0x00000020") {
        return Utils::ASSET_AITYPE;
    } else if (cleanedType == "0x00000021") {
        return Utils::ASSET_MPTYPE;
    } else if (cleanedType == "0x00000022") {
        return Utils::ASSET_CHARACTER;
    } else if (cleanedType == "0x00000023") {
        return Utils::ASSET_XMODELALIAS;
    } else if (cleanedType == "0x00000024") {
        return Utils::ASSET_RAWFILE;
    } else if (cleanedType == "0x00000025") {
        return Utils::ASSET_SCRIPTFILE;
    } else if (cleanedType == "0x00000026") {
        return Utils::ASSET_STRINGTABLE;
    } else if (cleanedType == "0x00000027") {
        return Utils::ASSET_LEADERBOARD;
    } else if (cleanedType == "0x00000028") {
        return Utils::ASSET_STRUCTURED_DATA_DEF;
    } else if (cleanedType == "0x00000029") {
        return Utils::ASSET_TRACER;
    } else if (cleanedType == "0x0000002A") {
        return Utils::ASSET_VEHICLE;
    } else if (cleanedType == "0x0000002B") {
        return Utils::ASSET_ADDON_MAP_ENTS;
    } else if (cleanedType == "0x0000002C") {
        return Utils::ASSET_COUNT;
    } else if (cleanedType == "0x0000002C") {
        return Utils::ASSET_STRING;
    } else if (cleanedType == "0x0000002D") {
        return Utils::ASSET_ASSETLIST;
    }
    return Utils::ASSET_NONE;
}
